Skip to main content
PATCH
/
api
/
v1
/
providers
/
{provider_id}
Patch Provider Route
curl --request PATCH \
  --url https://api.example.com/api/v1/providers/{provider_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "provider": "<string>",
  "model": "<string>",
  "params": {}
}
'
import requests

url = "https://api.example.com/api/v1/providers/{provider_id}"

payload = {
    "name": "<string>",
    "provider": "<string>",
    "model": "<string>",
    "params": {}
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>', provider: '<string>', model: '<string>', params: {}})
};

fetch('https://api.example.com/api/v1/providers/{provider_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "provider": "<string>",
  "model": "<string>",
  "params": {},
  "has_api_token": true
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Headers

Authorization
string | null
X-Request-ID
string | null

Path Parameters

provider_id
string<uuid>
required

Body

application/json
name
string | null
provider
string | null
model
string | null
params
Params · object | null

Response

Successful Response

id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
org_id
string<uuid>
required
name
string
required
provider
string
required
model
string | null
required
params
Params · object | null
required
has_api_token
boolean
required